### Function

# Gdk TextureDownloader new

since: 4.10

#### Declaration [src]

    GdkTextureDownloader*
    gdk_texture_downloader_new (
      GdkTexture* texture
    )

#### Description [src]

Creates a new texture downloader for `texture`.

By default, the downloader will convert the data to the default memory format, and to the sRGB color state.

Available since: 4.10

#### Parameters

`texture`

  Type: `GdkTexture`

  Texture to download.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkTextureDownloader`

A new texture downloader.

The caller of the function takes ownership of the data, and is responsible for freeing it.